@font-face {
  font-family: 'nasalization';
  src: url('fonts/nasalization/nasalization-rg.woff') format('woff'),
    url('fonts/nasalization/nasalization-rg.woff2') format('woff2');
}

* {
  margin: 0px;
  padding: 0px;
  color: #b7e117;
  font-family: 'nasalization';
}

header {
  position: absolute;
  display: flex;
  justify-content: space-between;
  top: 0;
  height: 3rem;
  width: 100vw;
  z-index: 1000;
  align-items: center;
  background-color: black;
}
body {
  margin-top: 3rem;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  background-color: black;
}

h1 {
  margin-left: 1rem;
}

h1,
h2 {
  font-family: nasalization;
  font-size: large;
}

button {
  background-color: black;
  border-radius: 5%;
  height: 3rem;
}

button {
  font-size: 10px;
}

.buttonContainer {
  margin-right: 1rem;
}

.solarSystem.active {
  display: flex;
}
.solarSystem {
  display: none;
  width: 18rem;
  height: 18rem;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  border-radius: 100%;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.planetCard.active {
  display: flex;
}
.planetCard {
  display: none;
  width: 18rem;
  height: 56.5rem;
  border: 1px solid #b7e117;
  border-radius: 20px;
  flex-direction: column;
  align-items: center;
  padding-top: 1rem;
}

.planetCard p {
  font-size: 14px;
  color: white;
}

.planetCardPictureContainer,
.planetCardPicture,
.planetCardPicture.active,
.trajectory {
  display: flex;
  justify-content: center;
  align-items: center;
}

.planetCardPictureContainer {
  width: 100%;
  height: 18rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
}

.planetCardPicture {
  width: 100%;
  height: 15.8rem;
  margin-left: 1rem;
  margin-right: 1rem;
}

.planetCardPicture.active {
  width: 100%;
  height: 15rem;
  border: 1px solid #b7e117;
  border-radius: 100%;
}

.planetCardInfo {
  height: 16rem;
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  justify-content: center;
  gap: 0.5rem;
}

.planetInfo {
  padding-top: 1rem;
  height: 100%;
  width: 8.5rem;
  border: 1px solid #b7e117;
  text-align: center;
  border-radius: 22px;
}

.planetInfo p {
  margin-top: 0.5rem;
}

.planet {
  width: 5%;
  height: 5%;
  position: absolute;
  border-radius: 100%;
}

.trajectory {
  border: 2px dotted #b7e117;
  border-radius: 100%;
}

#seventhTrajectory {
  width: 100%;
  height: 100%;
  transform: rotate(0deg);
  transition: transform 60s linear;
}

#seventhPlanet {
  margin-right: 100%;
}

#sixthTrajectory {
  width: 87%;
  height: 87%;
}

#sixthPlanet {
  margin-top: 87%;
}

#fifthTrajectory {
  width: 87%;
  height: 87%;
}

#fifthPlanet {
  margin-bottom: 76%;
}

#fourthTrajectory {
  width: 84%;
  height: 84%;
}

#fourthPlanet {
  margin-left: 63%;
}

#thirdTrajectory {
  width: 79%;
  height: 79%;
}

#thirdPlanet {
  margin-top: 37%;
  margin-right: 34%;
}

#secondTrajectory {
  width: 74%;
  height: 74%;
}

#secondPlanet {
  margin-left: 32%;
  margin-top: 20%;
}

#firstTrajectory {
  width: 69%;
  height: 69%;
}

#firstPlanet {
  margin-bottom: 17%;
  margin-right: 20%;
}

#sun {
  width: 15%;
  height: 15%;
}

#generateSolarSystem {
  cursor: pointer;
}

#trajectoryButton {
  cursor: pointer;
}

@media screen and (max-width: 360px) {
  h1 {
    font-size: 13px;
  }
}

@media screen and (min-width: 500px) {
  h1 {
    font-size: x-large;
  }

  button {
    width: 5rem;
    font-size: 16px;
  }
}

@media screen and (min-width: 1050px) {
  h1 {
    font-size: xx-large;
  }

  h2 {
    font-size: x-large;
  }

  body {
    flex-direction: row;
    height: 100vh;
  }

  button {
    width: 15rem;
  }

  .solarSystem {
    width: 35rem;
    height: 35rem;
    margin-top: 0rem;
    margin-bottom: 0rem;
  }
  .planetCard {
    margin-top: 15%;
    width: 27rem;
    height: 44.4rem;
  }

  .planetCard p {
    font-size: 16px;
  }
  .planetCardPictureContainer {
    width: 22.2rem;
    height: 23rem;
  }

  .planetCardPicture {
    width: 23rem;
    height: 20rem;
  }

  .planetCardPicture.active {
    width: 20rem;
    height: 20rem;
  }
}

@media screen and (min-width: 1200px) {
  .solarSystem {
    width: 40rem;
    height: 40rem;
  }
}
